## flask-mongoengine 1.0.0

=== requirements.txt ===
Flask>=1.1.2
Flask-DebugToolbar>=0.11.0
WTForms[email]>=2.3.1
Flask-WTF>=0.14.3
mongoengine>=0.20
pymongo>=3.10.1
flake8

## flask-mongoengine 0.9.3

=== debian/changelog ===
flask-mongoengine (0.9.3-2) unstable; urgency=medium

  * Team upload.

  [ Christoph Berg ]
  * Convert repository to gbp.

  [ Adrian Vondendriesch ]
  * Fix port in debian tests (simpleapp).

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 02 Jan 2018 16:14:33 +0100

flask-mongoengine (0.9.3-1) unstable; urgency=low

  * Initial package version (Closes: #817766).

 -- Adrian Vondendriesch <adrian.vondendriesch@credativ.de>  Wed, 31 May 2017 14:20:29 +0200

=== debian/control ===
Source: flask-mongoengine
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all (>= 2.6.6-3),
               python-coverage,
               python-flask,
               python-flaskext.wtf (>=0.14.2),
               python-mongoengine,
               python-nose,
               python-rednose,
               python-setuptools (>= 0.6b3),
               python-six,
               python-wtforms,
               python3-all,
               python3-coverage,
               python3-flask,
               python3-flaskext.wtf (>=0.14.2),
               python3-mongoengine,
               python3-nose,
               python3-rednose,
               python3-setuptools,
               python3-six,
               python3-wtforms
Standards-Version: 4.1.3
Homepage: https://github.com/mongoengine/flask-mongoengine
VCS-Git: https://anonscm.debian.org/git/python-modules/packages/flask-mongoengine.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/flask-mongoengine.git

Package: python-flask-mongoengine
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Description: Extension that provides integration with MongoEngine (Python 2)
 Flask extension that provides integration with MongoEngine.
 .
 It handles connection management for your app.  You can also use
 WTForms as model forms for your models.
 .
 This is a Python 2 package.

Package: python3-flask-mongoengine
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Extension that provides integration with MongoEngine (Python 3)
 Flask extension that provides integration with MongoEngine.
 .
 It handles connection management for your app.  You can also use
 WTForms as model forms for your models.
 .
 This is a Python 3 package.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=flask-mongoengine
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

=== debian/tests/control ===
Tests: simpleapp.sh
Depends: @, mongodb, curl
Restrictions: allow-stderr

=== debian/watch ===
# please also check http://pypi.debian.net/flask-mongoengine/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
http://pypi.debian.net/flask-mongoengine/flask-mongoengine-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-mongoengine 0.9.5

=== debian/changelog ===
flask-mongoengine (0.9.5-0ubuntu2) eoan; urgency=medium

  * Merge Debian changes in 0.9.3-2 and 0.9.3-3 version

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 10 Sep 2019 14:27:18 +0200

flask-mongoengine (0.9.5-0ubuntu1) disco; urgency=medium

  * New upstream version.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 23 Nov 2018 09:43:59 +0100

flask-mongoengine (0.9.3-4) unstable; urgency=medium

  * Team upload.
  * Remove autopkgtests, because they require running mongodb which we don't
    have in Debian (Closes: #927762).

 -- Ondřej Nový <onovy@debian.org>  Sun, 25 Aug 2019 09:47:17 +0200

flask-mongoengine (0.9.3-3) unstable; urgency=medium

  * Team upload.
  * d/control: Set Vcs-* to salsa.debian.org
  * d/watch: Use https protocol
  * Use debhelper-compat instead of debian/compat.
  * Drop Python 2 support.

 -- Ondřej Nový <onovy@debian.org>  Sat, 03 Aug 2019 21:34:15 +0200

=== debian/watch ===
# please also check https://pypi.debian.net/flask-mongoengine/watch
version=3
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/flask-mongoengine/flask-mongoengine-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## flask-mongoengine 1.0.0

=== debian/changelog ===
flask-mongoengine (1.0.0-1) unstable; urgency=medium

  * Team upload.

  [ Emanuele Rocca ]
  * New upstream release.
  * d/control: move from nose to pytest. (Closes: #1018356)
  * d/watch: use github instead of pypi. The full upstream test suite is
    included in the tarballs available on github.
  * d/rules: override addopts from setup.cfg to avoid generating test
    coverage reports.
  * d/rules: skip tests requiring actual connections to mongodb.

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Submit.
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on python3-flaskext.wtf.

 -- Emanuele Rocca <ema@debian.org>  Tue, 18 Oct 2022 14:06:33 +0200

flask-mongoengine (0.9.3-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set upstream metadata fields: Bug-Database, Repository, Repository-
    Browse.

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Mon, 02 May 2022 20:57:36 -0400

=== debian/control ===
Source: flask-mongoengine
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Adrian Vondendriesch <adrian.vondendriesch@credativ.de>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-coverage,
               python3-flask,
               python3-flaskext.wtf,
               python3-mongoengine,
               python3-pytest,
               python3-setuptools,
               python3-six,
               python3-wtforms
Standards-Version: 4.1.3
Homepage: https://github.com/mongoengine/flask-mongoengine
Vcs-Git: https://salsa.debian.org/python-team/packages/flask-mongoengine.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/flask-mongoengine

Package: python3-flask-mongoengine
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Extension that provides integration with MongoEngine (Python 3)
 Flask extension that provides integration with MongoEngine.
 .
 It handles connection management for your app.  You can also use
 WTForms as model forms for your models.
 .
 This is a Python 3 package.

=== debian/rules ===
#!/usr/bin/make -f

# addopts as specified in setup.cfg generates test coverage reports, which we
# do not care about. Also skip test_multiple_connections as it expects to be
# able to connect to a mongo server.
export PYBUILD_TEST_ARGS=--override-ini=addopts=--verbose tests/test_base.py tests/test_connection.py -k 'not test_multiple_connections'

export PYBUILD_NAME=flask-mongoengine
%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/flask-mongoengine-$1\.tar\.gz/ \
   https://github.com/mongoengine/flask-mongoengine/tags .*/v?(\d\S*)\.tar\.gz
